---
title: StorageEstimate.quota
slug: Web/API/StorageEstimate/quota
tags:
  - API
  - Property
  - Quota
  - Quotas
  - Reference
  - Secure context
  - StorageEstimate
---
<div>{{securecontext_header}}{{APIRef("Storage")}}</div>

<p>The {{domxref("StorageEstimate")}} dictionary's <strong><code>quota</code></strong> property is a conservative approximation of how much storage is allotted to the origin or Web app that called {{domxref("StorageManager.estimate()")}}; there may be more space available, but there will not be less. This value is an estimate to help prevent its use for fingerprinting—that is, identifying a device using an amalgamation of the values of seemingly innocuous properties.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>quota</em> = <em>StorageEstimate</em>.quota;
</pre>

<h3 id="Value">Value</h3>

<p>A numeric value specifying an approximation of the total amount of storage space available for use by the application.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/StorageManager/estimate", "Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Storage', '#dom-storageestimate-quota', 'quota')}}</td>
   <td>{{Spec2('Storage')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StorageEstimate.quota")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Storage_API">Storage API</a></li>
 <li>{{domxref("Navigator")}}</li>
 <li>{{domxref("StorageManager")}}</li>
 <li>{{domxref("StorageEstimate")}}</li>
 <li>{{domxref("StorageEstimate.usage")}}</li>
</ul>
